# PSF-LoginServer - master - net.psforever.objects.geometry.d2.Point
PSF - LoginServer - master - net.psforever.objects.geometry.d2.Point
Keywords: PSF LoginServer master net.psforever.objects.geometry.d2.Point

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  package d2
  Definition Classes
    geometry
- Flat
- Geometry2D
- Point
- Rectangle

c

net.psforever.objects.geometry.d2

# Point 

###
Companion object Point

#### final case class Point(a: Float, b: Float, inPlane: AxisAlignment2D) extends Geometry2D with geometry.Point with Product with Serializable

The instance of a coordinate position in two-dimensional space.

a

  the first coordinate of the position

b

  the second coordinate of the position

inPlane

  the planar orientation of "out", e.g., the XY-axis excludes z-coordinates; includes the identity of the coordinates as they are in-order

Source
  Point.scala
See also

  `Vector3`

Linear Supertypes
Serializable, Product, Equals, geometry.Point, Geometry2D, PrimitiveGeometry, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Point
2. Serializable
3. Product
4. Equals
5. Point
6. Geometry2D
7. PrimitiveGeometry
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Point(a: Float, b: Float, inPlane: AxisAlignment2D)

   a

     the first coordinate of the position

   b

     the second coordinate of the position

   inPlane

     the planar orientation of "out", e.g., the XY-axis excludes z-coordinates; includes the identity of the coordinates as they are in-order

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val a: Float
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def asVector3: Vector3

   Transform the point into the common interchangeable format for coordinates.

   Transform the point into the common interchangeable format for coordinates. They're very similar, anyway.

   returns

     a `Vector3` entity of the same denomination

   Definition Classes
     Point → Point
7.  val b: Float
8.  def center: Point

   The centroid of the geometry.

   The centroid of the geometry.

   returns

     a point

   Definition Classes
     Point → Geometry2D → PrimitiveGeometry
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  val inPlane: AxisAlignment2D
    Definition Classes
      Point → Geometry2D
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  def moveCenter(point: geometry.Point): Point

    Move the centroid of the shape to the given point

    Move the centroid of the shape to the given point

    point

      the new center point

    returns

      geometry centered on the new point; ideally, should be the same type of geometry as the original object

    Definition Classes
      Point → PrimitiveGeometry
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  def pointOnOutside(v: Vector3): Point
    Definition Classes
      Geometry2D
20.  def productElementNames: Iterator[String]
    Definition Classes
      Product
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from geometry.Point

### Inherited from Geometry2D

### Inherited from PrimitiveGeometry

### Inherited from AnyRef

### Inherited from Any

### Ungrouped